# -*- rpm-spec -*-

Summary: CMPI Utility Library
Name: libcmpiutil
Version: 0.5.1
Release: 1%{?dist}%{?extra_release}
License: LGPLv2+
Group: System Environment/Libraries
Source: ftp://libvirt.org/libvirt-cim/libcmpiutil-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
URL: http://libvirt.org/CIM/
BuildRequires: tog-pegasus-devel
BuildRequires: flex
BuildRequires: bison
BuildRequires: libxml2-devel
BuildConflicts: sblim-cmpi-devel

%description
Libcmpiutil is a library of utility functions for CMPI providers.
The goal is to reduce the amount of repetitive work done in
most CMPI providers by encapsulating common procedures with more
"normal" APIs.  This extends from operations like getting typed
instance properties to standardizing method dispatch and argument checking. 

%package devel
Summary: Libraries, includes, etc. to use the CMPI utility library
Group: Development/Libraries
Requires: tog-pegasus-devel
Requires: pkgconfig
Requires: %{name} = %{version}-%{release}

%description devel
Includes and documentations for the CMPI utility library
The goal is to reduce the amount of repetitive work done in
most CMPI providers by encapsulating common procedures with more
"normal" APIs.  This extends from operations like getting typed
instance properties to standardizing method dispatch and argument checking. 

%prep
%setup -q
chmod -x *.c *.y *.h *.l

%build
%configure --enable-static=no
make %{?_smp_mflags}

%install
rm -fr $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p" install
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

%clean
rm -fr $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, -)

%doc doc/doxygen.conf doc/mainpage README COPYING
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root, -)

%{_libdir}/lib*.so
%dir %{_includedir}/libcmpiutil
%{_includedir}/libcmpiutil/*.h
%{_libdir}/pkgconfig/libcmpiutil.pc

%doc doc/SubmittingPatches

%changelog
* Tue Jan 19 2010 Daniel Veillard <veillard@redhat.com> - 0.5.1-1.el5
- update to upstream 0.5.1 release, after the 0.5 version found broken
- Resolves: rhbz#540843

* Thu Nov 26 2009 Daniel Veillard <veillard@redhat.com> - 0.5-1.el5
- update to upstream 0.5 release
- Resolves: rhbz#540843

* Tue Nov  4 2008 Daniel Veillard <veillard@redhat.com> - 0.4-2.el5
- Apply a couple of patches to avoid crash and allow NULL properties
- Resolves: rhbz#469118

* Fri Jul  4 2008 Daniel Veillard <veillard@redhat.com> - 0.4-1.el5
- Updated to 0.4 release
- Resolves: rhbz#445605

* Fri Feb 29 2008 Dan Smith <danms@us.ibm.com> - 0.3-1
- Updated to official 0.3 source release

* Wed Feb 13 2008 Dan Smith <danms@us.ibm.com> - 0.2-1
- Updated to official 0.2 source release

* Fri Nov 30 2007 Dan Smith <danms@us.ibm.com> - 0.1-6
- Updated to official 0.1 source release
- Added Source0 URL

* Fri Oct 26 2007 Daniel Veillard <veillard@redhat.com> - 0.1-1
- created
